Skip to main content
GET
/
v1
/
files
/
{fileId}
Get file details
curl --request GET \
  --url https://api.cadanapay.com/v1/files/{fileId} \
  --header 'Authorization: Bearer <token>'
{
  "fileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
  "purpose": "kyc-id-front",
  "getUrl": "https://url",
  "expiresIn": 899,
  "createdAt": 1748478276,
  "tenantKey": "abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fileId
string<uuid>
required

The unique identifier for the file

Response

Get file details and download URL

fileId
string<uuid>
required
Example:

"1d3f870c-bc91-4636-a0d4-8e54bccf7d64"

purpose
enum<string>
required

Logical reason for the upload

Available options:
kyc-id-front,
kyc-id-back,
kyc-selfie,
kyc-id-selfie,
kyb-incorporation-document,
kyb-tax-certificate,
kyb-address-proof,
kyc-address-proof,
reimbursements-proof,
business-onboarding-document,
contract
Example:

"kyc-id-front"

getUrl
string<uri>
required

Pre-signed HTTPS GET URL (single-use)

expiresIn
integer
required

Seconds until the URL expires

Example:

899

createdAt
integer
required

Unix timestamp when the file was created

Example:

1748478276

tenantKey
string
required

Tenant key associated with the file

Example:

"cad65668351"